/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.bugzilla.datatypes;

import org.eclipse.team.bugzilla.model.BugzillaProvider;

/**
 * Listen for bug change events
 */
public interface IBugRefreshListener {
    void reportDataChange(BugzillaProvider provider, String[] ids);
    void attachmentsChanged(BugzillaProvider provider, AttachmentDescription[] descs);
    void queryChange(BugzillaProvider provider, QueryURL[] datas);
}
